Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.mail.event
Interface TransportListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  TransportAdapter

    public interface TransportListener

extends EventListener

This is the Listener interface for Transport events

See Also:
  `Transport`, `TransportEvent`

Method Summary
`void` | `messageDelivered(TransportEvent e)` Invoked when a Message is succesfully delivered.
`void` | `messageNotDelivered(TransportEvent e)` Invoked when a Message is not delivered.
`void` | `messagePartiallyDelivered(TransportEvent e)` Invoked when a Message is partially delivered.

Method Detail

### messageDelivered

    void messageDelivered(TransportEvent e)

  Invoked when a Message is succesfully delivered.

  Parameters:
    `e` - TransportEvent

### messageNotDelivered

    void messageNotDelivered(TransportEvent e)

  Invoked when a Message is not delivered.

  Parameters:
    `e` - TransportEvent
  See Also:
    `TransportEvent`

### messagePartiallyDelivered

    void messagePartiallyDelivered(TransportEvent e)

  Invoked when a Message is partially delivered.

  Parameters:
    `e` - TransportEvent
  See Also:
    `TransportEvent`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 Sun Microsystems, Inc.. All Rights Reserved.